local diff = {
	["axisDiffs"] = {
		["a2001cdnil"] = {
			["name"] = "PITCH",
			["removed"] = {
				[1] = {
					["key"] = "JOY_Y",
				},
			},
		},
		["a2002cdnil"] = {
			["name"] = "ROLL",
			["removed"] = {
				[1] = {
					["key"] = "JOY_X",
				},
			},
		},
		["a2003cdnil"] = {
			["name"] = "RUDDER",
			["removed"] = {
				[1] = {
					["key"] = "JOY_RZ",
				},
			},
		},
		["a2004cdnil"] = {
			["name"] = "THRUST",
			["removed"] = {
				[1] = {
					["key"] = "JOY_Z",
				},
			},
		},
		["a2005cdnil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_RY",
				},
			},
			["name"] = "LEFT THRUST",
		},
		["a2006cdnil"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_RX",
				},
			},
			["name"] = "LEFT SIDE THRUST",
		},
		["a2012cdnil"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0,
						},
						["deadzone"] = 0,
						["hardwareDetent"] = false,
						["hardwareDetentAB"] = 0,
						["hardwareDetentMax"] = 0,
						["invert"] = false,
						["saturationX"] = 1,
						["saturationY"] = 0.7,
						["slider"] = false,
					},
					["key"] = "JOY_SLIDER2",
				},
				[2] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0,
						},
						["deadzone"] = 0,
						["hardwareDetent"] = false,
						["hardwareDetentAB"] = 0,
						["hardwareDetentMax"] = 0,
						["invert"] = false,
						["saturationX"] = 1,
						["saturationY"] = 0.6,
						["slider"] = false,
					},
					["key"] = "JOY_RZ",
				},
			},
			["name"] = "ZOOM THE FIELD OF VIEW",
		},
		["a3008cd8"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_SLIDER1",
				},
			},
			["name"] = "Formation light ring brightness control",
		},
		["a3026cd13"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0,
						},
						["deadzone"] = 0,
						["hardwareDetent"] = false,
						["hardwareDetentAB"] = 0,
						["hardwareDetentMax"] = 0,
						["invert"] = true,
						["saturationX"] = 1,
						["saturationY"] = 0.3,
						["slider"] = false,
					},
					["key"] = "JOY_Z",
				},
			},
			["name"] = "Radar pitch control",
		},
		["a3043cd13"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0.25,
						},
						["deadzone"] = 0,
						["hardwareDetent"] = false,
						["hardwareDetentAB"] = 0,
						["hardwareDetentMax"] = 0,
						["invert"] = true,
						["saturationX"] = 1,
						["saturationY"] = 0.3,
						["slider"] = false,
					},
					["key"] = "JOY_Y",
				},
			},
			["name"] = "Throttle stick target designation controller - vertical axis of direction",
		},
		["a3044cd13"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0.25,
						},
						["deadzone"] = 0,
						["hardwareDetent"] = false,
						["hardwareDetentAB"] = 0,
						["hardwareDetentMax"] = 0,
						["invert"] = false,
						["saturationX"] = 1,
						["saturationY"] = 0.3,
						["slider"] = false,
					},
					["key"] = "JOY_X",
				},
			},
			["name"] = "Throttle stick target designation controller - horizontal axis",
		},
	},
	["keyDiffs"] = {
		["d3035pnilu3035cd13vd-1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN3",},},["name"] = "Speed Brake Switch - EXTEND",},
		["d3035pnilunilcd13vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN4",},},["name"] = "Speed Brake Switch - OFF",},
		["d3035pnilunilcd13vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN5",},},["name"] = "Speed Brake Switch - RETRACT",},
		["d3029pnilu3029cd13vd0.6vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN6",},},["name"] = "COMM Switch - MIDS A",},
		["d3028pnilu3028cd13vd0.4vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN7",},},["name"] = "COMM Switch - COMM 2 (call radio menu)",},
		["d3030pnilu3030cd13vd0.8vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN8",},},["name"] = "COMM Switch - MIDS B",},
		["d3027pnilu3027cd13vd0.2vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN9",},},["name"] = "COMM Switch - COMM 1 (call radio menu)",},
		["d3031pnilu3031cd13vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN11",},},["name"] = "Cage/Uncage Button",},
		["d3032pnilu3032cd13vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN22",},},["name"] = "Dispense Switch - Forward(CHAFF)/Center(OFF)",},
		["d3033pnilu3033cd13vd-1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN24",},},["name"] = "Dispense Switch - Aft(FLARE)/Center(OFF)",},
		["d3037pnilu3037cd13vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN50",},},["name"] = "ATC Engage/Disengage Switch",},
		["d3034pnilu3034cd13vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN56",},},["name"] = "RAID/FLIR FOV Select Button",},
		["d3041pnilunilcd13vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN57",},},["name"] = "Exterior Lights Switch - ON",},
		["d3041pnilunilcd13vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN59",},},["name"] = "Exterior Lights Switch - OFF",},
		["d3014pnilunilcd5vd-1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN65",},},["name"] = "Launch Bar Control Switch - RETRACT",},
		["d3014pnilu3014cd5vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN66",},},["name"] = "Launch Bar Control Switch - EXTEND",},
		["d3009pnilunilcd5vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN67",},},["name"] = "Arresting Hook Handle - UP",},
		["d3009pnilunilcd5vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN68",},},["name"] = "Arresting Hook Handle - DOWN",},
		["d3011pnilunilcd2vd-1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN69",},},["name"] = "Wing Fold Control Handle - FOLD",},
		["d3011pnilunilcd2vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN70",},},["name"] = "Wing Fold Control Handle - HOLD",},
		["d3011pnilunilcd2vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN71",},},["name"] = "Wing Fold Control Handle - SPREAD",},
		["d3010pnilunilcd2vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN72",},},["name"] = "Wing Fold Control Handle - STOW",},
		["d430pnilunilcdnilvdnilvpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN73",},},["name"] = "Landing Gear Control Handle - UP",},
		["d431pnilunilcdnilvdnilvpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN74",},},["name"] = "Landing Gear Control Handle - DOWN",},
		["d3005pnilunilcd5vd-1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN75",},},["name"] = "Emergency/Parking Brake Handle - PULL",},
		["d3005pnilunilcd5vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN76",},},["name"] = "Emergency/Parking Brake Handle - STOW",},
		["d3007pnilunilcd2vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN77",},},["name"] = "FLAP Switch - AUTO",},
		["d3007pnilunilcd2vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN78",},},["name"] = "FLAP Switch - HALF",},
		["d3007pnilunilcd2vd-1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN79",},},["name"] = "FLAP Switch - FULL",},
		["d3018pnilu3018cd40vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN80",},},["name"] = "Warning Tone Silence Button",},
		["d3002pnilu3002cd23vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN81",},},["name"] = "Master Mode Button - A/G",},
		["d3001pnilu3001cd23vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN82",},},["name"] = "Master Mode Button - A/A",},
		["a3003cd58"] = {["added"] = {[1] = {["key"] = "JOY_BTN85",},},["name"] = "HMD OFF/BRT Knob",},
		["d3008pnilu3008cd9vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN92",},},["name"] = "MASTER CAUTION Reset Button",},
		["d3003pnilunilcd23vd1vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN93",},},["name"] = "Master Arm Switch - ARM",},
		["d3003pnilunilcd23vd0vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN94",},},["name"] = "Master Arm Switch - SAFE",},
		["d3011pnilunilcd23vd0.3vpnilvunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN96",},},["name"] = "Selective Jettison Knob - STORES",},
		["dnilp3012unilcd9vdnilvp-0.5vunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN103",},},["name"] = "INST PNL Dimmer Control - CCW/Decrease",},
		["dnilp3012unilcd9vdnilvp0.5vunil"] = {["added"] = {[1] = {["key"] = "JOY_BTN104",},},["name"] = "INST PNL Dimmer Control - CW/Increase",},
		["d3007pnilu3007cd9vd1vpnilvu0"] = {["added"] = {[1] = {["key"] = "JOY_BTN105",},},["name"] = "Lights Test Switch - TEST/OFF",},
		},
}
return diff